Page MenuHomePhabricator

Activate local Upload menu for common users in jvwiki
Open, Stalled, LowestPublic

Description

Based on the vote here, the community in the Javanese Wikipedia agrees to activate local Upload menu for common users.

Currently, common users cannot access this page. The Upload menu (on the left-menu) in jvwiki leads to Wikimedia Commons. For the purpose of local uploads, only administrators can do the actions (it is good, but can become burdens when the upload requests are too many).

Since the need for local uploads is increasing from common users, we vote for the activation of the menu, so users can upload by themselves and administrators will be responsible in tackling copy-right violations (if any).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2017, 9:11 AM

Change 385359 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[operations/mediawiki-config@master] Enable local Upload in jvwiki

https://gerrit.wikimedia.org/r/385359

This can't happen without an approved and reviewed exemption doctrine policy and a image use policy, as per Board resolution on licensing. Does jvwiki have such policies? Otherwise this will just allow uploading copyright infringements.

Could you please explain an exemption doctrine policy and a image use policy?

Aklapper changed the task status from Open to Stalled.Oct 21 2017, 1:09 PM
Aklapper removed Jayprakash12345 as the assignee of this task.
Aklapper added a subscriber: Jayprakash12345.

Change 385359 abandoned by Jayprakash12345:
Enable local Upload in jvwiki

Reason:
No EDP/IUP apparently.

https://gerrit.wikimedia.org/r/385359

Image use policy means that you need a policy explaining what kind of uploads are allowed and which aren't. Copyright is a particular concern in thar regard.

An exemption doctrine policy means that if you want to allow the upload of non-free images, you need to set up criteria about when such images can be used.

Patch is currently abandoned, and until now we haven't seen policies on jvwiki.

MarcoAurelio triaged this task as Lowest priority.Feb 19 2018, 10:47 PM